Subject: Re: [msysGit] Re: Version 1.8.1 does not compile on Cygwin 1.7.14

From: Torsten Bögershausen <[email-masked]>
Date: Mon, 21 Jan 2013 06:20:23 +0100

On 20.01.13 12:06, Jonathan Nieder wrote:
> Torsten Bögershausen wrote:
> 
>> I wonder, if if we can go one step further:
>>
>> Replace
>> #ifdef WIN32 /* Both MinGW and MSVC */
> [...]
>> with
>> #if defined(_MSC_VER)
> 
> I thought Git for Windows was built using mingw, which doesn't define
> _MSC_VER?
> 
> Puzzled,
> Jonathan
> 
Yes,
After removing these lines in the git-compat-util.h of msysgit
v1.8.1 it still compiled.
So I start to speculate if the comment is still valid for mingw,
or if that was true in the old days and not now any more.

More investigation is needed, sorry for confusion.
/Torsten